#include <xvt.h>
#include <strings.h>

#include "ba3.h"

#define usage   "Error - usage : %s -{0|1|2|3|4|5}"

int main(int argc, char** argv)
{
  int rt = -1;
  const int r = (argc > 1) ? atoi(&argv[1][1]) : -1;

  switch (r)
  {
  case 0:
    rt = ba3100(argc,argv) ; break;
  case 1:
    rt = ba3200(argc,argv) ; break;
  case 2:
    rt = ba3300(argc,argv) ; break;
  case 3:
    rt = ba3400(argc,argv) ; break;
  case 4:
    rt = ba3500(argc,argv) ; break;
  case 5:
    rt = ba3600(argc,argv) ;  break;
  case 6:
    rt = ba3700(argc,argv) ; break;
  case 7:
    rt = ba3800(argc,argv) ; break;
  case 8:
    rt = ba3900(argc,argv) ; break;
  default:
    error_box(usage, argv[0]) ; break;
  }

  return rt ;
}
